# class ConstPointer<T>

#### package cpp

#### extended by Pointer

Available on Android, iOS, Linux, macOS, Windows

### Variables

###

`read onlyconstRaw:RawConstPointer<T>`

###

`ptr:Star<T>`

###

`read onlyraw:RawPointer<T>`

###

`read onlyvalue:T`

### Methods

###

`add (inT:Int):ConstPointer<T>`

###

`at (inIndex:Int):Reference<T>`

###

`dec ():ConstPointer<T>`

###

`geq (inOther:ConstPointer<T>):Bool`

###

`get_constRaw ():RawConstPointer<T>`

###

`get_raw ():RawPointer<T>`

###

`get_value ():Reference<T>`

###

`gt (inOther:ConstPointer<T>):Bool`

###

`inc ():ConstPointer<T>`

###

`incBy (inT:Int):ConstPointer<T>`

###

`leq (inOther:ConstPointer<T>):Bool`

###

`lt (inOther:ConstPointer<T>):Bool`

###

`postIncVal ():Reference<T>`

###

`rawCast<Other> ():RawPointer<Other>`

###

`reinterpret<Other> ():Pointer<Other>`

###

`setRaw<O> (ptr:RawPointer<O>):Void`

### Static methods

###

`staticfromPointer<T> (inNativePointer:Dynamic):ConstPointer<T>`

###

`staticfromRaw<T> (ptr:RawConstPointer<T>):ConstPointer<T>`